aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorWei-Ning Huang <w@dexon.org>2018-11-26 13:54:28 +0800
committerWei-Ning Huang <w@dexon.org>2019-03-12 12:19:09 +0800
commit61cb6c4428d46897b1cb812f431289cdbb9a4433 (patch)
treec37d1946a7557fb4e009adf9c0cd64ee1da9d8cd /test
parentf79bf330b4b649ea74d54faf749214c14f32af9c (diff)
downloaddexon-61cb6c4428d46897b1cb812f431289cdbb9a4433.tar.gz
dexon-61cb6c4428d46897b1cb812f431289cdbb9a4433.tar.zst
dexon-61cb6c4428d46897b1cb812f431289cdbb9a4433.zip
core: add Taipei testnet (#47)
Add a new testnet named Taipei.
Diffstat (limited to 'test')
-rwxr-xr-xtest/run_test.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/test/run_test.sh b/test/run_test.sh
index 4818f89b2..b8b893145 100755
--- a/test/run_test.sh
+++ b/test/run_test.sh
@@ -1,13 +1,17 @@
#!/bin/bash
+if [ "$1" != "--testnet" ] && [ "$1" != "--taipei" ]; then
+ echo 'invalid network specified'
+ exit 1
+fi
+
+NETWORK="${1}"
+
GDEX=../build/bin/gdex
# Kill all previous instances.
pkill -9 -f gdex
-# Start bootnode.
-bootnode -nodekey bootnode.key --verbosity=9 > bootnode.log 2>&1 &
-
logsdir=$PWD/log-$(date '+%Y-%m-%d-%H:%M:%S')
mkdir $logsdir
@@ -19,7 +23,7 @@ datadir=$PWD/Dexon.rpc
rm -rf $datadir
$GDEX --datadir=$datadir init genesis.json
$GDEX \
- --testnet \
+ ${NETWORK} \
--verbosity=4 \
--gcmode=archive \
--datadir=$datadir --nodekey=testrpc.nodekey \
@@ -36,7 +40,7 @@ for i in $(seq 0 3); do
rm -rf $datadir
$GDEX --datadir=$datadir init genesis.json
$GDEX \
- --testnet \
+ ${NETWORK} \
--bp \
--verbosity=4 \
--gcmode=archive \